Skip to content

Get recent log events from rtk service​

GET
/devices/{id}/getRecentRtkLogs

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"id": 0,
  
  
"timestamp": "string",
  
  
"deviceId": 0,
  
  
"msgType": 0,
  
  
"baseStationId": 0,
  
  
"locationType": "string",
  
  
"accuracy": 0,
  
  
"lat": 0,
  
  
"lng": 0,
  
  
"linkQuality": 0,
  
  
"toAddress": "string",
  
  
"fromAddress": "string",
  
  
"info": "string"
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/getRecentRtkLogs:
    get:
      tags:
        - rtk
      summary: Get recent log events from rtk service
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
      responses:
'200':
yaml
          description: Request was successful
          content:
            application/json:
              schema:
                type: array
                items:
                  properties:
                    id:
                      type: number
                      format: ''
                    timestamp:
                      type: string
                      format: date-time
                    deviceId:
                      type: number
                      format: ''
                    msgType:
                      type: number
                      format: ''
                    baseStationId:
                      type: number
                      format: ''
                    locationType:
                      description: ENUM('invalid', 'fixed', '2d', 'standalone', 'rtkFloat', 'rtkFix')
                      type: string
                    accuracy:
                      type: number
                      format: ''
                    lat:
                      type: number
                      format: ''
                    lng:
                      type: number
                      format: ''
                    linkQuality:
                      type: number
                      format: ''
                    toAddress:
                      type: string
                    fromAddress:
                      type: string
                    info:
                      type: string
                  required:
                    - id
                  type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-devices-id-getRecentRtkLogs
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...